# $Id$
# The System Makefile (C) 2002 The UbixOS Project

# Include Global 'Source' Options
include ../../../Makefile.inc
include ../../Makefile.inc
include ../Makefile.inc
#Objects
OBJS = bcmp.o bcopy.o bzero.o ffs.o ffsl.o fls.o flsl.o index.o memccpy.o memchr.o memcmp.o memcpy.o memmove.o memset.o rindex.o stpcpy.o strcasecmp.o strcasestr.o strcat.o strchr.o strcmp.o strcoll.o strcpy.o strcspn.o strdup.o strerror.o strlcat.o strlcpy.o strlen.o strmode.o strncat.o strncmp.o strncpy.o strnstr.o strpbrk.o strrchr.o strsep.o strsignal.o strspn.o strstr.o strtok.o strxfrm.o swab.o wcscat.o wcschr.o wcscmp.o wcscoll.o wcscpy.o wcscspn.o wcslcat.o wcslcpy.o wcslen.o wcsncat.o wcsncmp.o wcsncpy.o wcspbrk.o wcsrchr.o wcsspn.o wcsstr.o wcstok.o wcswidth.o wcsxfrm.o wmemchr.o wmemcmp.o wmemcpy.o wmemmove.o wmemset.o

#Output
OUTPUT = libc.so

$(OUTPUT): $(OBJS)

# Compile the source files
.cc.o:
	$(CXX) $(CFLAGS) -Wall -nostdinc -O -I../include -c -o $@ $<
 
.cc.s:
	$(CXX) $(CFLAGS) -Wall -nostdinc -O -I../include -S -o $@ $<
 
.c.o:
	$(CC) $(CFLAGS) -Wall -nostdinc -O $(INCLUDES) -c $<

.c.s:
	$(CC) $(CFLAGS) -Wall -nostdinc -O -I../include -S -o $@ $<
 
.S.o:
	$(CC) $(CFLAGS) -Wall -nostdinc -c -o $@ $<
 
# Clean up the junk
clean:
	$(REMOVE) $(OBJS) $(OUTPUT)
